Pular para o conteúdo principal
GET
/
cms
/
v3
/
blogs
/
posts
/
{objectId}
/
revisions
Recupera todas as versões anteriores de um post
curl --request GET \
  --url https://api.hubapi.com/cms/v3/blogs/posts/{objectId}/revisions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "object": {
        "abStatus": "automated_loser_variant",
        "abTestId": "<string>",
        "archivedAt": 123,
        "archivedInDashboard": true,
        "attachedStylesheets": [
          {}
        ],
        "authorName": "<string>",
        "blogAuthorId": "<string>",
        "campaign": "<string>",
        "categoryId": 123,
        "contentGroupId": "<string>",
        "contentTypeCategory": "0",
        "created": "2023-11-07T05:31:56Z",
        "createdById": "<string>",
        "currentState": "AGENT_GENERATED",
        "currentlyPublished": true,
        "domain": "<string>",
        "dynamicPageDataSourceId": "<string>",
        "dynamicPageDataSourceType": 123,
        "dynamicPageHubDbTableId": "<string>",
        "enableDomainStylesheets": true,
        "enableGoogleAmpOutputOverride": true,
        "enableLayoutStylesheets": true,
        "featuredImage": "<string>",
        "featuredImageAltText": "<string>",
        "folderId": "<string>",
        "footerHtml": "<string>",
        "headHtml": "<string>",
        "htmlTitle": "<string>",
        "id": "<string>",
        "includeDefaultCustomCss": true,
        "language": "aa",
        "layoutSections": {},
        "linkRelCanonicalUrl": "<string>",
        "mabExperimentId": "<string>",
        "metaDescription": "<string>",
        "name": "<string>",
        "pageExpiryDate": 123,
        "pageExpiryEnabled": true,
        "pageExpiryRedirectId": 123,
        "pageExpiryRedirectUrl": "<string>",
        "password": "<string>",
        "postBody": "<string>",
        "postSummary": "<string>",
        "publicAccessRules": [
          {}
        ],
        "publicAccessRulesEnabled": true,
        "publishDate": "2023-11-07T05:31:56Z",
        "publishImmediately": true,
        "rssBody": "<string>",
        "rssSummary": "<string>",
        "slug": "<string>",
        "state": "<string>",
        "tagIds": [
          123
        ],
        "themeSettingsValues": {},
        "translatedFromId": "<string>",
        "translations": {},
        "updated": "2023-11-07T05:31:56Z",
        "updatedById": "<string>",
        "url": "<string>",
        "useFeaturedImage": true,
        "widgetContainers": {},
        "widgets": {}
      },
      "updatedAt": "2023-11-07T05:31:56Z",
      "user": {
        "email": "<string>",
        "fullName": "<string>",
        "id": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {}
}

Produtos suportados

Requer um dos seguintes produtos ou superior.
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -Grátis
Service HubService Hub -Grátis
Content HubContent Hub -Starter

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

objectId
string
obrigatório

O ID do post de blog do qual recuperar as versões anteriores.

Parâmetros de consulta

after
string

O token do cursor de paginação do último recurso lido com sucesso será retornado como a propriedade JSON "paging.next.after" de uma resposta paginada que contém mais resultados.

before
string

Um token de cursor de paginação para recuperar páginas anteriores.

limit
integer<int32>

O número máximo de resultados a serem exibidos por página.

Resposta

successful operation

results
object[]
obrigatório
total
integer<int32>
obrigatório
paging
object

Model definition for paging.

Last modified on March 24, 2026